iTunes needs Windows SP3?

Discussion in 'iTunes' started by Keith3000, Sep 13, 2009.

  1. Keith3000

    Keith3000 New Member

    Joined:
    Sep 13, 2009
    Messages:
    6
    Likes Received:
    0
    Hi..just joined this forum! I'm thinking of getting the new touch. Do I need to install itunes 9 or will it work on itunes 8?

    And do I need to install Windows XP service pack 3 to use it? I currently only have service pack 1 (seriously). Thanks for the help!
    ------------------double post merged------------------
    Um..btw the thread title should be "itunes need Service Pack 3", but yeah you probably figured that out.....

    Please Register or Log in to view images

  2. Nburnes

    Nburnes Well-Known Member

    Joined:
    Jan 3, 2009
    Messages:
    9,022
    Likes Received:
    767
    Device:
    OnePlus One
    You will need iTunes 9.

    And why don't you jsut update to Service Pack 3 anyway......
  3. JonnySK

    JonnySK Active Member

    Joined:
    Apr 20, 2008
    Messages:
    1,767
    Likes Received:
    5
    Device:
    2G iPod touch
    You need iTunes 9.

    And you need SP3.

    Reference here - Under Windows System Requirements.
  4. Duykur

    Duykur Banned

    Joined:
    Mar 24, 2008
    Messages:
    1,674
    Likes Received:
    0
    You better update to service pack 3, weather you want itunes or not.
  5. Keith3000

    Keith3000 New Member

    Joined:
    Sep 13, 2009
    Messages:
    6
    Likes Received:
    0
    Yeah that's what I figured..thanks guys
  6. Tommm

    Tommm Member

    Joined:
    Jul 14, 2009
    Messages:
    752
    Likes Received:
    0
    Device:
    4G iPod touch
    As well as updating to SP3 you should do a virus scan. If you're that far behind in Windows update your likely to have something.
  7. n_848

    n_848 New Member

    Joined:
    May 30, 2009
    Messages:
    30
    Likes Received:
    0
    Device:
    2G iPod touch
    itunes 9 works fine on my computer and i have windows xp sp2
  8. zwillyc

    zwillyc New Member

    Joined:
    Jun 24, 2009
    Messages:
    55
    Likes Received:
    0
    if i have to update to sp3 i'm screwed because for whatever reason my BT downloads have 0 speed in sp3
  9. Evanmav

    Evanmav New Member

    Joined:
    Jun 7, 2008
    Messages:
    192
    Likes Received:
    0
    Device:
    iPod touch
    you dont need sp3 because i only have sp2 and itunes works fine. I've tried to update to sp3 like 20 times and it always ends in an error and i've done the troubleshooting so i just gave up lol. So dont worry you dont need sp3
  10. Keith3000

    Keith3000 New Member

    Joined:
    Sep 13, 2009
    Messages:
    6
    Likes Received:
    0
    Cool. OK..so just to confirm...

    -To use the iPod Touch 3G, you need iTunes 9 (i.e. it will not work with iTunes 8)
    -To install iTunes 9, only SP2 is required (not SP3)

    That's actually good news. I know many people who have had a lot of problems upgrading from SP2 to SP3.

Share This Page